diff --git a/web/pgadmin/about/__init__.py b/web/pgadmin/about/__init__.py
index 4d4006ab..f54418dd 100644
--- a/web/pgadmin/about/__init__.py
+++ b/web/pgadmin/about/__init__.py
@@ -47,6 +47,8 @@ class AboutModule(PgAdminModule):
             'when': None
         }]
 
+    def get_exposed_url_endpoints(self):
+        return ['about.index']
 
 blueprint = AboutModule(MODULE_NAME, __name__,
                         static_url_path='')
@@ -55,7 +57,7 @@ blueprint = AboutModule(MODULE_NAME, __name__,
 ##########################################################################
 # A test page
 ##########################################################################
-@blueprint.route("/")
+@blueprint.route("/", endpoint='index')
 @login_required
 def index():
     """Render the about box."""
diff --git a/web/pgadmin/browser/__init__.py b/web/pgadmin/browser/__init__.py
index 77e052f0..6ae14b44 100644
--- a/web/pgadmin/browser/__init__.py
+++ b/web/pgadmin/browser/__init__.py
@@ -523,9 +523,9 @@ def index():
 
     return response
 
-@blueprint.route("/js/browser.js")
+@blueprint.route("/js/utils.js")
 @login_required
-def browser_js():
+def utils():
     layout = get_setting('Browser/Layout', default='')
     snippets = []
 
@@ -559,7 +559,7 @@ def browser_js():
         snippets.extend(submodule.jssnippets)
     return make_response(
         render_template(
-            'browser/js/browser.js',
+            'browser/js/utils.js',
             layout=layout,
             jssnippets=snippets,
             pg_help_path=pg_help_path,
@@ -569,7 +569,7 @@ def browser_js():
             editor_wrap_code=editor_wrap_code,
             editor_brace_matching=brace_matching,
             editor_insert_pair_brackets=insert_pair_brackets,
-            _=gettext
+            app_name=config.APP_NAME
         ),
         200, {'Content-Type': 'application/x-javascript'})
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js b/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
index 9b8aad36..835d7498 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
@@ -217,7 +217,7 @@ define('pgadmin.node.language', [
             }
             return true;
           }
-        }, pgBrowser.SecurityGroupUnderSchema, {
+        }, {
           id: 'lanacl', label: gettext('Privileges'), type: 'collection',
           group: 'security', control: 'unique-col-collection', mode: ['edit', 'create'],
           model: pgBrowser.Node.PrivilegeRoleModel.extend({
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js
index ad85caa4..d0784ba7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js
@@ -237,8 +237,8 @@ define('pgadmin.node.collation', [
 
             if ('coll-collation' == d._type) {
               //Check if we are not child of catalog
-              prev_i = t.hasParent(i) ? t.parent(i) : null;
-              prev_d = prev_i ? t.itemData(prev_i) : null;
+              var prev_i = t.hasParent(i) ? t.parent(i) : null,
+                prev_d = prev_i ? t.itemData(prev_i) : null;
               if( prev_d._type == 'catalog') {
                 return false;
               } else {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
index 03fcb5dd..af249006 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/static/js/domain.js
@@ -306,8 +306,8 @@ define('pgadmin.node.domain', [
 
           if ('coll-domain' == d._type) {
             //Check if we are not child of catalog
-            prev_i = t.hasParent(i) ? t.parent(i) : null;
-            prev_d = prev_i ? t.itemData(prev_i) : null;
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
+              prev_d = prev_i ? t.itemData(prev_i) : null;
             if( prev_d._type == 'catalog') {
               return false;
             } else {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign-table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign-table.js
index b95bce21..8796c781 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign-table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/static/js/foreign-table.js
@@ -25,9 +25,9 @@ define('pgadmin.node.foreign-table', [
         this.$el.empty();
         var model = this.model;
         var column = this.column;
-        editable = this.column.get("editable");
+        var editable = this.column.get("editable");
+        var is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
 
-        is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
         if (is_editable){ this.$el.addClass("editable"); }
         else { this.$el.removeClass("editable"); }
 
@@ -364,7 +364,7 @@ define('pgadmin.node.foreign-table', [
         cache_node = (cache_node && pgBrowser.Nodes['cache_node']) || node;
 
         m.trigger('pgadmin:view:fetching', m, self.field);
-        data = {attrelid: table_id}
+        var data = {attrelid: table_id}
 
         // Fetching Columns data for the selected table.
         $.ajax({
@@ -591,8 +591,8 @@ define('pgadmin.node.foreign-table', [
           'cache_level': 'database',
           transform: function(d, self){
             if (this.field.get('mode') == 'edit') {
-              oid = this.model.get('oid');
-              s = _.findWhere(d, {'id': oid});
+              var oid = this.model.get('oid');
+              var s = _.findWhere(d, {'id': oid});
               if (s) {
                 d = _.reject(d, s);
               }
@@ -697,8 +697,8 @@ define('pgadmin.node.foreign-table', [
 
           if ('coll-foreign-table' == d._type) {
             //Check if we are not child of catalog
-            prev_i = t.hasParent(i) ? t.parent(i) : null;
-            prev_d = prev_i ? t.itemData(prev_i) : null;
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
+              prev_d = prev_i ? t.itemData(prev_i) : null;
             if( prev_d._type == 'catalog') {
               return false;
             } else {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
index 996d1f38..a7d36f42 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
@@ -14,7 +14,7 @@ define('pgadmin.node.fts_configuration', [
         // Define the schema for the token/dictionary list
         schema: [{
           id: 'token', label:'Token', type:'text', group: null,
-          cellHeaderClasses:'width_percent_50', editable: true,
+          cellHeaderClasses:'width_percent_50',
           editable: false, cell: 'string', url: 'tokens'
         },{
           id: 'dictname', label: 'Dictionaries', type: 'text', group:null,
@@ -57,6 +57,7 @@ define('pgadmin.node.fts_configuration', [
         this, arguments
       );
 
+      var that;
       var self = that = this,
           node = 'fts_configuration',
           headerSchema = [{
@@ -134,7 +135,7 @@ define('pgadmin.node.fts_configuration', [
                   /*
                    * Transform the data
                    */
-                  transform = (this.field.get('transform')
+                  var transform = (this.field.get('transform')
                                 || self.defaults.transform);
                   if (transform && _.isFunction(transform)) {
                     self.field.set('options', transform.bind(self, data));
@@ -338,7 +339,7 @@ define('pgadmin.node.fts_configuration', [
       // Find if token exists in grid
       self.collection.each(function(m) {
         _.each(checkVars, function(v) {
-          val = m.get(v);
+          var val = m.get(v);
           if(val == token) {
             idx = coll.indexOf(m);
           }
@@ -592,8 +593,8 @@ define('pgadmin.node.fts_configuration', [
 
           if ('coll-fts_configuration' == d._type) {
             //Check if we are not child of catalog
-            prev_i = t.hasParent(i) ? t.parent(i) : null;
-            prev_d = prev_i ? t.itemData(prev_i) : null;
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
+              prev_d = prev_i ? t.itemData(prev_i) : null;
             if( prev_d._type == 'catalog') {
               return false;
             } else {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js
index bdfddbd4..9f799dd4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/static/js/fts_dictionary.js
@@ -197,8 +197,8 @@ define('pgadmin.node.fts_dictionary', [
 
           if ('coll-fts_dictionary' == d._type) {
             //Check if we are not child of catalog
-            prev_i = t.hasParent(i) ? t.parent(i) : null;
-            prev_d = prev_i ? t.itemData(prev_i) : null;
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
+              prev_d = prev_i ? t.itemData(prev_i) : null;
             if( prev_d._type == 'catalog') {
               return false;
             } else {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/static/js/fts_parser.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/static/js/fts_parser.js
index 289f8af1..d1614027 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/static/js/fts_parser.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/static/js/fts_parser.js
@@ -112,7 +112,6 @@ define('pgadmin.node.fts_parser', [
           type: 'text', disabled: function(m) { return !m.isNew(); },
           control: 'node-ajax-options', url: 'end_functions',
           group: gettext('Definition'), cache_level: 'database',
-          cache_node: 'schema',
           cache_node: 'schema'
         },{
           id: 'prslextype', label: gettext('Lextypes function'),
@@ -214,8 +213,8 @@ define('pgadmin.node.fts_parser', [
 
           if ('coll-fts_parser' == d._type) {
             //Check if we are not child of catalog
-            prev_i = t.hasParent(i) ? t.parent(i) : null;
-            prev_d = prev_i ? t.itemData(prev_i) : null;
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
+              prev_d = prev_i ? t.itemData(prev_i) : null;
             if( prev_d._type == 'catalog') {
               return false;
             } else {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/static/js/fts_template.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/static/js/fts_template.js
index d6acd1c0..b97a4db2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/static/js/fts_template.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/static/js/fts_template.js
@@ -153,8 +153,8 @@ define('pgadmin.node.fts_template', [
 
           if ('coll-fts_template' == d._type) {
             //Check if we are not child of catalog
-            prev_i = t.hasParent(i) ? t.parent(i) : null;
-            prev_d = prev_i ? t.itemData(prev_i) : null;
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
+              prev_d = prev_i ? t.itemData(prev_i) : null;
             if( prev_d._type == 'catalog') {
               return false;
             } else {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
index 8e102cc0..416504ae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/function.js
@@ -34,7 +34,7 @@ define('pgadmin.node.function', [
         'node-ajax-options', cellHeaderClasses: 'width_percent_30',
         control: 'node-ajax-options', type: 'text', url: 'get_types',
         editable: function(m) {
-          node_info = this.get('node_info');
+          var node_info = this.get('node_info');
           if(node_info && 'catalog' in node_info) {
             return false;
           }
@@ -49,7 +49,7 @@ define('pgadmin.node.function', [
           {'label': 'INOUT', 'value': 'INOUT'},
           {'label': 'VARIADIC', 'value': 'VARIADIC'}
         ], editable: function(m) {
-             node_info = this.get('node_info');
+             var node_info = this.get('node_info');
              if(node_info && 'catalog' in node_info) {
                return false;
              }
@@ -65,7 +65,7 @@ define('pgadmin.node.function', [
     ],
     toJSON: Backbone.Model.prototype.toJSON,
     isInCatalog: function(m){
-      node_info = this.get('node_info');
+      var node_info = this.get('node_info');
       if(node_info && 'catalog' in node_info) {
         return false;
       }
@@ -131,7 +131,7 @@ define('pgadmin.node.function', [
           var isNew = (_.size(attrs) === 0);
           if (isNew) {
             // Set Selected Schema
-            schema_id = args.node_info.schema._id
+            var schema_id = args.node_info.schema._id;
             this.set({'pronamespace': schema_id}, {silent: true});
 
             // Set Current User
@@ -217,7 +217,7 @@ define('pgadmin.node.function', [
           mode: ['create'], visible: 'isVisible'
         },{
           id: 'prorettypename', label: gettext('Return type'), cell: 'string',
-          type: 'text', group: gettext('Definition'), disabled: true,
+          type: 'text', group: gettext('Definition'),
           mode: ['properties', 'edit'], disabled: 'isDisabled', visible: 'isVisible'
         },  {
           id: 'lanname', label: gettext('Language'), cell: 'string',
@@ -457,8 +457,8 @@ define('pgadmin.node.function', [
 
           if ('coll-function' == d._type) {
             //Check if we are not child of catalog
-            prev_i = t.hasParent(i) ? t.parent(i) : null;
-            prev_d = prev_i ? t.itemData(prev_i) : null;
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
+              prev_d = prev_i ? t.itemData(prev_i) : null;
             if( prev_d._type == 'catalog') {
               return false;
             } else {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
index 904adc49..89a1fe31 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/procedure.js
@@ -17,7 +17,7 @@ define('pgadmin.node.procedure', [
       });
   };
 
-  pgSchemaNode = pgBrowser.Nodes['schema'];
+  var pgSchemaNode = pgBrowser.Nodes['schema'];
 
   // Inherit Functions Node
   if (!pgBrowser.Nodes['procedure']) {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
index 069a2675..c6c9d2f9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/static/js/trigger_function.js
@@ -64,7 +64,7 @@ define('pgadmin.node.trigger_function', [
           var isNew = (_.size(attrs) === 0);
           if (isNew) {
             // Set Selected Schema
-            schema_id = args.node_info.schema._id
+            var schema_id = args.node_info.schema._id
             this.set({'pronamespace': schema_id}, {silent: true});
 
             // Set Current User
@@ -153,7 +153,7 @@ define('pgadmin.node.trigger_function', [
           ]
         },{
           id: 'prorettypename', label: gettext('Return type'), cell: 'string',
-          type: 'text', group: gettext('Definition'), disabled: true,
+          type: 'text', group: gettext('Definition'),
           mode: ['properties', 'edit'], disabled: 'isDisabled', visible: 'isVisible'
         },  {
           id: 'lanname', label: gettext('Language'), cell: 'string',
@@ -378,8 +378,8 @@ define('pgadmin.node.trigger_function', [
 
           if ('coll-trigger_function' == d._type) {
             //Check if we are not child of catalog
-            prev_i = t.hasParent(i) ? t.parent(i) : null;
-            prev_d = prev_i ? t.itemData(prev_i) : null;
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
+              prev_d = prev_i ? t.itemData(prev_i) : null;
             if( prev_d._type == 'catalog') {
               return false;
             } else {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js
index a84fb88e..36111610 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/static/js/sequence.js
@@ -74,8 +74,8 @@ define('pgadmin.node.sequence', [
 
             if ('coll-sequence' == d._type) {
               //Check if we are not child of catalog
-              prev_i = t.hasParent(i) ? t.parent(i) : null;
-              prev_d = prev_i ? t.itemData(prev_i) : null;
+              var prev_i = t.hasParent(i) ? t.parent(i) : null,
+                prev_d = prev_i ? t.itemData(prev_i) : null;
               if( prev_d._type == 'catalog') {
                 return false;
               } else {
@@ -202,7 +202,7 @@ define('pgadmin.node.sequence', [
         validate: function() {
           var msg = undefined,
               minimum = this.get('minimum'),
-              maximum = this.get('maximum');
+              maximum = this.get('maximum'),
               start = this.get('start');
 
           if (_.isUndefined(this.get('name'))
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
index ef496e73..07d97a22 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
@@ -13,7 +13,7 @@ define('pgadmin.node.schema', [
     initialize: function() {
       Backform.Control.prototype.initialize.apply(this, arguments);
       var self = this,
-          m = this.model;
+          m = this.model,
           url = self.field.get('url');
 
       if (url && m.isNew()) {
@@ -457,9 +457,9 @@ define('pgadmin.node.schema', [
             return true;
 
             //Check if we are not child of catalog
-            prev_i = t.hasParent(i) ? t.parent(i) : null;
+          var prev_i = t.hasParent(i) ? t.parent(i) : null,
             prev_d = prev_i ? t.itemData(prev_i) : null;
-            if( prev_d && prev_d._type == 'catalog') {
+            if(prev_d && prev_d._type == 'catalog') {
               return false;
             }
           i = t.hasParent(i) ? t.parent(i) : null;
@@ -476,7 +476,7 @@ define('pgadmin.node.schema', [
           t = pgBrowser.tree;
 
       do {
-        d = t.itemData(i);
+        var d = t.itemData(i);
         if (
           d._type in pgBrowser.Nodes && pgBrowser.Nodes[d._type].hasId
         ) {
@@ -509,7 +509,8 @@ define('pgadmin.node.schema', [
           column = this.column,
           editable = this.column.get("editable"),
           input = this.$el.find('input[type=checkbox]').first(),
-          self_name = column.get('name');
+          self_name = column.get('name'),
+          is_editable;
 
         is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
         if (is_editable) {
